
QGIS Application - Bug report #6146

Offline editing tool broken

2012-08-02 08:15 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: vinayan Parameswaran

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15473

Description

    -  pick a postgis layer

    -  put it in off-line mode

    -  start editing

    -  QGIS won't auto-increment the primary key

    -  if no primary key is entered, when synchronizing PostGIS will throw an error saying that gid canoot be NULL

    -  the user can manually enter the values for primary keys and synchronizing will work, but then when adding new features PostGIS will

throw an error like "_Provider errors: PostGIS error while adding features: ERROR:  duplicate key value violates unique constraint

"teste_pkey"_"

A regression since 1.7.4? if someone can confirm please tag this as blocker.

Associated revisions

Revision 8b8eb562 - 2014-02-07 05:21 PM - Martin Dobias

Fix #6146 (Offline editing tool broken)

Adding of features back to remote database didn't work in case of primary keys

being auto-generated. With the fix, if the user did not set any value (i.e. it is NULL),

the value will be set to provider's default (and thus use the sequence generator)

History

#1 - 2012-09-19 02:04 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

regression confirmed. who is the maintainer?

#2 - 2012-09-19 02:04 AM - Giovanni Manghi

- Subject changed from Offline editing tool broken(?) to Offline editing tool broken

#3 - 2013-03-07 12:39 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

tested again on qgis master on Ubuntu, it seg faults the program now when starts creating the SL file.
#4 - 2013-03-07 05:23 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

Giovanni Manghi wrote:

tested again on qgis master on Ubuntu, it seg faults the program now when starts creating the SL file.

it crashes qgis master also under Windows.

#5 - 2013-03-07 05:26 AM - Giovanni Manghi

On qgis 1.8 on Windows it now returns a

"Could not open the spatialite database"

when trying to put off line some vector.

#6 - 2013-05-11 11:56 PM - vinayan Parameswaran

- Assignee set to vinayan Parameswaran

#7 - 2013-05-12 11:08 PM - vinayan Parameswaran

- Pull Request or Patch supplied changed from No to Yes

- % Done changed from 0 to 100

hopefully fixed in,

https://github.com/qgis/Quantum-GIS/pull/586

#8 - 2013-05-24 03:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

https://github.com/qgis/Quantum-GIS/pull/586

fixes it (Thanks Vinayan!)

but right now I can't compile the latest code as it gives an error, so closing this is pending later tests.

cheers!

#9 - 2013-05-24 03:30 AM - vinayan Parameswaran

Giovanni,

Pull request was merged today..so you should be able to test master

cheers!
#10 - 2013-05-24 03:34 AM - Giovanni Manghi

vinayan Parameswaran wrote:

Giovanni,

Pull request was merged today..so you should be able to test master

cheers!

yes, problem is that the latest code revision is not compiling for me right now, so I must wait for a new build for Ubuntu and/or Windows.

cheers!

#11 - 2013-06-01 10:13 AM - Giovanni Manghi

Hi, I just tested https://github.com/qgis/Quantum-GIS/pull/586 on Windows/osgeo4w (will do also on Linux) and does not work.

What I see:

I add a PostGIS layer

click on "convert to offline project"

it is asked to save a SL DB and choose the postgis layer to put offline

when clicking "ok" the SL is created but...

the layer in the TOC remain the PostGIS one (it shold show also a "offline" in layer name, as it did in 1.7.4)

the SL DB is empty

the synchronize button is active, when clicked causes qgis to crash

#12 - 2013-06-01 01:37 PM - Giovanni Manghi

Giovanni Manghi wrote:

Hi, I just tested https://github.com/qgis/Quantum-GIS/pull/586 on Windows/osgeo4w (will do also on Linux) and does not work.

What I see:

I add a PostGIS layer

click on "convert to offline project"

it is asked to save a SL DB and choose the postgis layer to put offline

when clicking "ok" the SL is created but...

the layer in the TOC remain the PostGIS one (it shold show also a "offline" in layer name, as it did in 1.7.4)
the SL DB is empty

the synchronize button is active, when clicked causes qgis to crash

on Linux it seems to work. There is always the (huge) issue (#7550) when splitting geometries, that is broken with SL and PostGIS and affects obviously

also the off-line tool.

#13 - 2013-06-02 02:22 AM - Giovanni Manghi

- Status changed from Feedback to Open

#14 - 2013-06-05 12:43 AM - vinayan Parameswaran

Hi Giovanni,

I have submitted a pull that addresses the issue in windows..

https://github.com/qgis/Quantum-GIS/pull/634

#15 - 2013-06-19 08:10 AM - vinayan Parameswaran

Hi Giovanni,

got time to test this?

#16 - 2013-06-20 12:53 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

vinayan Parameswaran wrote:

Hi Giovanni,

got time to test this?

Hi!

yes it is fixed!

there is till this issue #7550 that limits the editing operations when off-line, but that is a completely different problem.

Thanks!

#17 - 2013-12-02 01:16 AM - Giedrius Vaivilavičius

On QGIS 2.0.1 synchronization problem remains (OS Ubuntu 12.04, Debian Wheezy).

Using qgiscloud plugin uploads a postgis layer. Before editing offline:
http://i.imgur.com/Gjjbp1B.png

After editing offilene:

http://i.imgur.com/1dUlsdL.png

When I click on sync:

http://i.imgur.com/FkZP8mw.png

As a result, I have to manually enter the ID numbers because it does not save data:

http://i.imgur.com/CF1TDIP.png

How to solve this?

#18 - 2013-12-02 01:55 AM - Giovanni Manghi

- Resolution deleted (fixed)

How to solve this?

the tool is broke, so you may want to a) wait for the fix or b) support its fix

#19 - 2013-12-06 12:02 AM - Giedrius Vaivilavičius

- Status changed from Closed to Reopened

#20 - 2013-12-13 03:30 AM - Paolo Corti

Confirmed. I am experiencing the same.

#21 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#22 - 2014-02-07 08:24 AM - Martin Dobias

- Status changed from Reopened to Closed

Fixed in changeset commit:"8b8eb562f499c70b7be2001f4aec82b304d4ccfa".
